cloudstack-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Vladimir Melnik <v.mel...@uplink.ua>
Subject Re: [DISCUSS] Remove support for el6 packaging in 4.13/4.14
Date Fri, 19 Apr 2019 14:31:20 GMT
Dear colleagues,

As for me, I still have 3 hosts running CentOS 6 and 2 management servers in one of my production
environments.

Also I have 1 management servers running CentOS 6 in another environment.

If my voice counts, I'd propose -1.

Thanks for attention :-)

On Mon, Apr 15, 2019 at 07:44:58AM +0000, Rohit Yadav wrote:
> All,
> 
> 
> With CentOS8 around the corner to be released sometime around the summer, I would like
to propose to deprecate CentOS6 as support management server host distro and KVM host distro.
Non-systemd enabled Ubuntu releases have been already deprecated [1].
> 
> 
> The older CentOS6 version would hold us back as we try to adapt, use and support newer
JRE version, kvm/libvirt version, the Linux kernel, and several other older dependencies.
Both CentOS6 and RHEL6 have reached EOL on May 10th, 2017 wrt full updates [1].
> 
> 
> If we don't have any disagreements, I propose we remove el6 packaging support in the
next major release - 4.13. But, if there are users and organisations that will be badly impacted,
let 4.13 be the last of releases to support el6 and we definitely remove el6 support in 4.14.
> 
> What are your thoughts?
> 
> 
> [1] EOL date wiki reference: https://cwiki.apache.org/confluence/display/CLOUDSTACK/Hypervisor+and+Management+Server+OS+EOL+Dates
> 
> 
> 
> Regards,
> 
> Rohit Yadav
> 
> Software Architect, ShapeBlue
> 
> https://www.shapeblue.com
> 
> rohit.yadav@shapeblue.comĀ 
> www.shapeblue.com
> Amadeus House, Floral Street, London  WC2E 9DPUK
> @shapeblue
>   
>  
> 

-- 
V.Melnik

Mime
View raw message